Package com.usatiuk.dhfs.persistence

# Interface ObjectChangelogOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ObjectChangelog`, `ObjectChangelog.Builder`

public interface ObjectChangelogOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ObjectChangelog.entries_Entry`
`getEntries(int index)`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`
`int`
`getEntriesCount()`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`
`List<ObjectChangelog.entries_Entry>`
`getEntriesList()`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`
`ObjectChangelog.entries_EntryOrBuilder`
`getEntriesOrBuilder(int index)`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`
`List<? extends ObjectChangelog.entries_EntryOrBuilder>`
`getEntriesOrBuilderList()`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getEntriesList

List<ObjectChangelog.entries_Entry> getEntriesList()
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

### getEntries

ObjectChangelog.entries_Entry getEntries(int index)
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

### getEntriesCount

int getEntriesCount()
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

### getEntriesOrBuilderList

List<? extends ObjectChangelog.entries_EntryOrBuilder> getEntriesOrBuilderList()
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

### getEntriesOrBuilder

ObjectChangelog.entries_EntryOrBuilder getEntriesOrBuilder(int index)
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`